## com.arsdigita.docmgr
Class MimeTypeXMLLoader

    java.lang.Object
      com.arsdigita.docmgr.MimeTypeXMLLoader

public final class MimeTypeXMLLoader
extends Object

Initializer helper class which loades more Mime types into the database from an xml file.

Author:
  Stefan Deusch

Constructor Summary
`MimeTypeXMLLoader()`

Method Summary
`static void` `parse(InputStream is)` Parse the input stream and load the extracted XML source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeTypeXMLLoader

    public MimeTypeXMLLoader()

Method Detail

### parse

    public static void parse(InputStream is)
                      throws IOException,
                             InvalidMimeTypeFormatException

  Parse the input stream and load the extracted XML source.

  Parameters:
    `is` - InputStream to read the document from
  Throws:
    `IOException`
    `InvalidMimeTypeFormatException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC